<?php

/* DCMS Special
 * Дата последнего редактирования 26.09.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$doc->Title('Кому понравилось видео');

require_once H . 'sys/inc/thead.php';

aut();

$id = intval($_GET['id']);

$k_post = $db->super_query("SELECT COUNT(*) as count FROM `videos_like` WHERE `id_videos` = '" . $id . "'");
$k_post = $k_post['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = $db->query("SELECT * FROM `videos_like` WHERE `id_videos` = '" . $id . "' ORDER BY `id_user` DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    $doc->NoResult();
}

while ($post = $db->get_array($q)) {
    $ank = get_user($post['id_user']);
    echo "<table class='list-group-item-null'><tr><td class='icon14'>";
    avatar($ank['id'], '30', 'border-radius: 2px;');
    echo "</td><td class='null'>";
    user($ank['id']);
    echo "</td></tr></table>";
    echo "<div class='hr'></div>";
}

if ($k_page > 1) {
    str("?id=" . $id . "&amp;", $k_page, $page);
}

$doc->Link('list-group-item-null', "video.php?id=$id", 'arrow-left', 'Вернутся назад');

require_once H . 'sys/inc/tfoot.php';
